% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% 18.385 (Nonlinear Dynamical Systems).    MIT, Fall 1999-2006. R. R. Rosales.
% ____________________________________________________________________________
% 18385 (HELP .m FILE).
%
% MatLab scripts in the 18385_Toolkit. More information with help script_name.
%
% ____________________________________________________________________________
% README scripts/files with help. ********************************************
%
%                      For these files, either typing the name, or using help,
%                      gives a listing of the contents, as in either of:
%                      >>  help README_BIF
%                      >>  README_BIF
%                      where >> is the MatLab prompt.
%
% --- README_BIF ..... Describes the BIF (BIFurcation) scripts.
% --- README_ODE ..... """"""""""""" ODE solve/plot scripts.
% --- README_ODM ..... """"""""""""" ODM (One Dimensional Map) scripts.
% --- README_PHPL .... """"""""""""" PHPL (PHase PLane) scripts.
% --- README_RSLR .... """"""""""""" RSLR (RoSsLer equation) scripts.
% --- README_CANI .... """"""""""""" Chaos ANImation scripts.
% --- README_SPRT .... """"""""""""" SuPpoRT scripts.
%
% ____________________________________________________________________________
% BIF (bifurcation) Scripts: *************************************************
%
% --- BIFstrstb ...... Structural stability surfaces for Normal forms.
% --- BIFansSZ366 .... Bifurcations for problem 3.6.6 in book by Strogatz.
%                      Equation dA/dt = h + epsilon*A - g*A^3 - A^5.
%
% ____________________________________________________________________________
% MatLab demos relevant to class (not part Toolkit): *************************
%
% --- life ........... MatLabs's version of Conway's Game of Life.
% --- lotkademo ...... Solves the Lotka-Volterra predator prey model equations
%                      (only in MatLab 5.x). Not too good.
%
% ____________________________________________________________________________
% ODE solve/plot Scripts: ****************************************************
%                      See also: PHPL (Phase Plane) scripts.
% --- PHPL23plt ...... ODE solver with 2-D plotting of 2 components.
% --- PS3D23plt ...... ODE solver with 3-D plotting of 3 components.
% --- PHPLvdpLiC ..... Calculates limit cycle for the van der Pol oscillator.
% --- PHPLvdPFUN ..... Used by PHPLvdpLiC. Calculates the vdP right hand side.
% --- PHPLvdpPOL ..... Polynomial interpolations for the vdP limit cycle.
%
% ____________________________________________________________________________
% ODM (One Dimensional Map) Scripts: *****************************************
%
% -------------------- BIFURCATION scripts:
% --- ODMquad ........ Quadratic map: y = 4*L*x*(1-x).
% --- ODMcusp ........ Cusp map: y = L*(1-(abs(1-2*x))^s), s > 0.
% --- ODMtent ........ Tent map: y = L*(1-abs(2*x-1)).
% --- ODMusr ......... User's map: y = f(L, x) given by user.
% -------------------- ITERATES of FUNCTION scripts:
% --- ODMquad_F ...... Quadratic map: y = 4*L*x*(1-x).
% --- ODMcusp_F ...... Cusp map: y = L*(1-(abs(1-2*x))^s), s > 0.
% --- ODMtent_F ...... Tent map: y = L*(1-abs(2*x-1)).
% --- ODMusr_F ....... User's map: y = f(L, x) given by user.
%
% ____________________________________________________________________________
% PHPL (Phase Plane) Scripts: ************************************************
%
% --- PHPLdemoA ...... Phase plane faster demo. Plots while it computes.
% --- PHPLdemoB ...... Phase plane more accurate demo. Plots at end.
% --- PHPLfunct ...... Function script with examples used by demos.
% --- PHPLnotes ...... Auxiliary file with text used by the demos.
% --- PHPL23plt ...... ODE solver with 2-D plotting of 2 components.
% --- PHPLplot ....... Allows detailed phase portrait plots.
% --- PHPLplot_v2 .... Version 2 of PHPLplot.
% --- PHPLplotFUN .... Auxiliary script used by PHPLplot.
% --- PHPLvdpLiC ..... Calculates limit cycle for the van der Pol oscillator.
% --- PHPLvdPFUN ..... Used by PHPLvdpLiC. Calculates the vdP right hand side.
% --- PHPLvdpPOL ..... Polynomial interpolations for the vdP limit cycle.
% --- PHPLvdpPER ..... Calculates the van der Pol oscillator period.
%
% ____________________________________________________________________________
% RSLR (Rossler Equation) Scripts: *******************************************
%
% --- README_RSLR .... Describes the various RSLR scripts.
%
% --- README_RSLR_mat_files
%                      Describes the data files used by the RSLR scripts:
%                      RSLR_Poin_1e4.mat
%                      RSLR_sect_5e4.mat
%
% ____________________________________________________________________________
% 3D CHAOS ANIMATION demos: **************************************************
%
% --- lorenz ......... This is a MatLab demo and not part of this toolkit.                     
% --- rosslerANI ..... Rossler attractor animation. Plots orbits dynamically.
% --- rosslereqn ..... Auxiliary script used by the rosslerANI scripts.
% --- rosslereqnS .... Auxiliary script used by the rosslerBLB scripts.
%
% ____________________________________________________________________________
% SUPPORT scripts: ***********************************************************
%
% --- existFIG ....... Checks if a figure  (given its handle)  is displayed on
%                      the screen. Or finds the handles of the current figures
%                      displayed on the screen. 
% --- fourierSER ..... Calculates the Fourier series  (and plots it)  in terms
%                      of the wavenumber k.
% --- LowConvHull .... Computes the Lower Convex Hull for a plane point set.
% --- LowConvHullDemo  Script to test and demo LowConvHull.  It also times it.
% --- PieceWiseParAppr Script to calculate and evaluate a least squares, piece
%                      wise parabolic and C^1 approximation to given data.
% --- PieceWiseParEval Evaluate the approximation given by PieceWiseParAppr.
% --- PieceWiseParTEST Test PieceWiseParAppr and PieceWiseParEval.
% --- SetUpFig ....... Script to setup figure window of given size, with given
%                      axis. Makes axis symbols "nice".
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% IN PROGRESS/Not yet done:
%
% --- rosslerBLB ..... Sensitivity to initial conditions: Rossler attractor.
% --- lorenzANI
% --- lorenzBLB
%% ___________________________________________________________________________
%% XXXXXXXXXXX: **************************************************************
%% ___________________________________________________________________________
%% XXXXXXXXXXX: **************************************************************
%% ___________________________________________________________________________
%% XXXXXXXXXXX: **************************************************************


%
%% End of File

