% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% 18.385 (Nonlinear Dynamical Systems).    MIT, Fall 1999-2006. R. R. Rosales.
% ____________________________________________________________________________
% 385TC (HELP .m FILE).
% MatLab scripts in the 18385_ToolKit. More information with help script_name.
%
% 385TC .......... Table of contents for the 18385_Toolkit.
% 18385 .......... Extended table of contents for the 18385_Toolkit.
% ____________________________________________________________________________
% --- README_BIF ..... Describes the BIF (BIFurcation) scripts.
% --- README_ODE ..... """"""""""""" ODE solve/plot scripts.
% --- README_ODM ..... """"""""""""" ODM (One Dimensional Map) scripts.
% --- README_PHPL .... """"""""""""" PHPL (PHase PLane) scripts.
% --- README_CANI .... """"""""""""" Chaos ANImation scripts.
% --- README_SPRT .... """"""""""""" SuPpoRT scripts.
% ____________________________________________________________________________
%     BIFURCATIONS.
% --- BIFstrstb ...... Structural stability surfaces for Normal forms.
% --- BIFansSZ366 .... Bifurcations for problem 3.6.6 in book by Strogatz.
% ____________________________________________________________________________
%     MATLAB STANDARD.
% --- life ........... MatLabs's version of Conway's Game of Life.
% --- lotkademo ...... MatLab's Lotka-Volterra predator prey model equations.
% ____________________________________________________________________________
%     ODE SOLVERS.
% --- PHPL23plt ...... ODE solver with 2-D plotting of 2 components.
% --- PS3D23plt ...... ODE solver with 3-D plotting of 3 components.
% ____________________________________________________________________________
%     ONE DIMENSIONAL MAPS.
% --- ODMquad ........ Quadratic map: y = 4*L*x*(1-x).
% --- ODMcusp ........ Cusp map: y = L*(1-(abs(1-2*x))^s), s > 0.
% --- ODMtent ........ Tent map: y = L*(1-abs(2*x-1)).
% --- ODMusr ......... User's map: y = f(L, x) given by user.
% --- ODMquad_F ...... Quadratic map: y = 4*L*x*(1-x).
% --- ODMcusp_F ...... Cusp map: y = L*(1-(abs(1-2*x))^s), s > 0.
% --- ODMtent_F ...... Tent map: y = L*(1-abs(2*x-1)).
% --- ODMusr_F ....... User's map: y = f(L, x) given by user.
% ____________________________________________________________________________
%     PHASE PLANE.
% --- PHPLdemoA ...... Phase plane faster demo. Plots while it computes.
% --- PHPLdemoB ...... Phase plane more accurate demo. Plots at end.
% --- PHPLfunct ...... Function script with examples used by demos.
% --- PHPLnotes ...... Auxiliary file with text used by the demos.
% --- PHPL23plt ...... ODE solver with 2-D plotting of 2 components.
% --- PHPLplot ....... Allows detailed phase portrait plots.
% --- PHPLplot_v2 .... Version 2 of PHPLplot.
% --- PHPLplotFUN .... Auxiliary script used by PHPLplot.
% --- PHPLvdpLiC ..... Calculates limit cycle for the van der Pol oscillator.
% --- PHPLvdPFUN ..... Used by PHPLvdpLiC. Calculates the vdP right hand side.
% --- PHPLvdpPOL ..... Polynomial interpolations for the vdP limit cycle.
% --- PHPLvdpPER ..... Calculates the van der Pol oscillator period.
% ____________________________________________________________________________
%     ROSSLER EQUATIONS.
% --- README_RSLR .... Describes the various RSLR scripts.
%
% --- README_RSLR_mat_files
%                      Describes the data files used by the RSLR scripts:
%                      RSLR_Poin_1e4.mat
%                      RSLR_sect_5e4.mat
% ____________________________________________________________________________
%     CHAOS 3-D ANIMATION
% --- lorenz ......... This is a MatLab demo and not part of this toolkit.                     
% --- rosslerANI ..... Rossler attractor animation. Plots orbits dynamically.
% --- rosslereqn ..... Auxiliary script used by the rosslerANI scripts.
% --- rosslereqnS .... Auxiliary script used by the rosslerBLB scripts.
% ____________________________________________________________________________
%     SUPPORT
% --- existFIG ....... Checks if a figure is displayed on the screen. Or finds
%                      the handles of the current displayed figures. 
% --- fourierSER ..... Calculates and plots the Fourier series in terms of k.
% --- LowConvHull .... Computes the Lower Convex Hull for a plane point set.
% --- LowConvHullDemo  Script to test and demo LowConvHull.  It also times it.
% --- PieceWiseParAppr Script to calculate and evaluate a least squares, piece
%                      wise parabolic and C^1 approximation to given data.
% --- PieceWiseParEval Evaluate the approximation given by PieceWiseParAppr.
% --- PieceWiseParTEST Test PieceWiseParAppr and PieceWiseParEval.
% --- SetUpFig ....... Script to setup figure window of given size, with given
%                      axis. Makes axis symbols "nice".
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% IN PROGRESS/Not yet done:
%
% --- rosslerBLB ..... Sensitivity to initial conditions: Rossler attractor.
% --- lorenzANI
% --- lorenzBLB
%% ___________________________________________________________________________
%% XXXXXXXXXXX: **************************************************************
%% ___________________________________________________________________________
%% XXXXXXXXXXX: **************************************************************
%% ___________________________________________________________________________
%% XXXXXXXXXXX: **************************************************************


%
%% End of File

