function ATMP_18385_Toolkit(DirPath, S, RCP)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Add to the MatLab path the appropriate top level
% sub-folders of some folder. In this case ........... X = 18385_Toolkit
% DirPath = string with the path of the directory X.
% S       = string with path file separator (filesep).
% Only top level sub-directories are added.
% For any sub-sub-directories, appropriate scripts are called.
%
% RCP > 1 ... directories added by the various ATMP ... files;
%             to do a path reconstruction.
% RCP < 1 ... only messages by the various ATMP... files produced.
%
% Copyright at the end of this file.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
disp(' For the 18385_Toolkit ........ contents, type:  help 385TC')
disp('                                details,  type:  help 18385')
N = 0;
% ============================================================================
  N = N+1; SubDirName{N} = 'Bifurcations';
           SubDirATMP{N} = 'ATMP_18385_Bifurcations';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'Chaos_Animation';
           SubDirATMP{N} = 'ATMP_18385_Chaos_Animatn';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'Chaos_Spectrum';
           SubDirATMP{N} = 'ATMP_18385_Chaos_Spectrm';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'ODE_s';
           SubDirATMP{N} = 'ATMP_18385_ODE_s';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'One_D_Maps';
           SubDirATMP{N} = 'ATMP_18385_One_D_Maps';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'Phase_Plane';
           SubDirATMP{N} = 'ATMP_18385_Phase_Plane';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'Privates';
           SubDirATMP{N} = 'ATMP_18385_Privates';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'RSLR';
           SubDirATMP{N} = 'ATMP_18385_RSLR';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'Support';
           SubDirATMP{N} = 'ATMP_18385_Support';
% % Max Length = 25 chars: |<----------------------->| =======================
  N = N+1; SubDirName{N} = 'Two_D_Maps';
           SubDirATMP{N} = 'ATMP_18385_Two_D_Maps';
% % Max Length = 25 chars: |<----------------------->| =======================
%
for n=1:N
   AddToPath_Master(SubDirATMP{n}, SubDirName{n}, DirPath, S, RCP)
end

function AddToPath_Master(SubDirATMP, SubDirName, DirPath, S, RCP)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% DirPath    = Path to some directory already in the MatLab path. Say: X.
% SubDirName = X-subdirectory that needs to be added to the MatLab path.
% SubDirATMP = "Add to the MatLab Path" script in the SubDirName folder.
% S          = string with the path file separator.
%
% This script
% --- adds to the MatLab path the SubDirName sub-directory of X.
% --- executes the file SubDirATMP.m, if it exists.
%
% The function SubDirATMP is assumed to work as follows:
% Input  = (path-to-SubDirName-directory, S)
% Action = it adds to the MatLab path subdirectories of the SubDirName folder.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
SubDirPath = [DirPath, S, SubDirName];
if RCP > 1
   if exist(SubDirPath) == 7;   addpath(SubDirPath, '-end');   end
end
if exist(SubDirATMP) == 2;   feval(SubDirATMP, SubDirPath, S, RCP);   end

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright Massachusetts Institute of Technology
% Version 03 by Rodolfo R. Rosales  07-06-2006.
% 
% Permission is hereby granted, without payment, to copy this software
% and its documentation, if any,  for non-profit academic and research
% purposes,  provided that the above copyright notice, this paragraph,
% and the following three paragraphs appear in all copies of this
% software. Use of this software constitutes acceptance of these terms
% and conditions.
%
% IN NO EVENT SHALL MIT, OR THE AUTHOR, BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
% ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
% IF MIT, OR THE AUTHOR, HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
% DAMAGE.
%
% MIT, AND THE AUTHOR, SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED
% WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
% MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
% NON-INFRINGEMENT.
%
% THIS SOFTWARE IS PROVIDED "AS IS." MIT, OR THE AUTHOR, HAVE NO
% OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,
% OR MODIFICATIONS.
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% EOF
