% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% README_ODM (One Dimensional Maps scripts in the 18385_Toolkit.)
% ____________________________________________________________________________
% 18.385 (Nonlinear Dynamical Systems).    MIT, Fall 1999-2004. R. R. Rosales.
%
% The One Dimensional Map (ODM) scripts study maps of the unit  [0, 1]
% interval to itself, in particular their limit behavior when iterated
% many times.    The maps all have a parameter L, that can vary in the
% range [0,1].
%
% Two types of script appear:
%
% BIFURCATION SCRIPTS: plot the attractor set of the map as a function
% of the parameter L   (done by iterating the map for a while and then
% plotting the iterates in the (x,L) plane).
%
% ODMquad.m .... Quadratic map: y = 4*L*x*(1-x).
% ODMcusp.m .... Cusp map:      y = L*(1-(abs(1-2*x))^s), s > 0.
% ODMtent.m .... Tent map:      y = L*(1-abs(2*x-1)).
% ODMusr.m ..... User's map:    y = f(L, x) given by user.
%
% ITERATES of FUNCTION: plot the N_th iterate of the mapping function.
%
% ODMquad_F.m .... Quadratic map: y = 4*L*x*(1-x).
% ODMcusp_F.m .... Cusp map:      y = L*(1-(abs(1-2*x))^s), s > 0.
% ODMtent_F.m .... Tent map:      y = L*(1-abs(2*x-1)).
% ODMusr_F.m ..... User's map:    y = f(L, x) given by user.
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
more on
help README_ODM
more off
%
%% EOF
