%
% Enter next a string defining the functions f and g in the equations:
%
% du/dt = f(u,v)  and  dv/dt = g(u,v).
%
% Example (IMPORTANT: note that the quotes ' are needed!):
%
% >> 1st function f = 'u^2 + v^2 - 3'
% >> 2nd function g = 'sin(3*u)'
%
% After this, enter the axis for the figure, as in:
% 
% >> axis for plot = [umin umax vmim vmax]
%


% ____________________________________________________________________________
% 18.385 (Nonlinear Dynamical Systems).         MIT, Fall 1999. R. R. Rosales.
%
% PHPLnotes (this file) is a TEXT MAKING FILE CALLED FROM THE PHPLdemos. Both
% the text above (via help) and the one below are used. The one above is done
% via help since MatLab version 4.x cannot type the quote character, at least
% in its Mac version  (gets confused by the fact quotes are used also to mean
% begining and end of a text string).
%
notes_text = [ ...
' This demo solves the phase plane system:                       '; ...
'                                                                '; ...
'            du/dt = f(u,v)     and     dv/dt = g(u,v).          '; ...
'                                                                '; ...
' Several options are available:                                 '; ...
'                                                                '; ...
' (00) Write your own f and g.                                   '; ...
' (01) Saddle and two centers: f=v and g=u*(1-u^2).              '; ...
' (02) Limit cycle: f=v and g=-u+(1-u^2)*v.                      '; ...
' (03) Pendulum: f=v and g=-sin(u).                              '; ...
' (04) Harmonic osc. (center): f=v and g=-u.                     '; ...
' (05) Linear stable spiral: f=v-0.1*u and g=-u-0.1*v.           '; ...
' (06) Linear saddle: f=u and g=-v.                              '; ...
' (07) Center to spiral by nonlinearity: f=-v-u*R and g=u-v*R,   '; ...
'     where R=(u^2+v^2).                                         '; ...
' (08) Two eyed monster: f=v+v^2 and g=-0.5*u+0.2*v-u*v+1.2*v^2. '; ...
' (09) Dipole fixed point: f=2*u*v and g=v^2-u^2.                '; ...
' (10) Lotka-Volterra predator-prey \     f =   (1-0.4*v)*u,     '; ...
'      (u = prey and v = predator)  / and g = - (1-0.6*u)*v.     '; ...
' (11) Lotka-Volterra competition   \     f = u*(3-u-2*v),       '; ...
'      (u = "rabbits" & v = "sheep")/ and g = v*(2-u-v).         '; ...
' (12) Parametric Limit\       dr/dt = r*(1-r^2)+mu*r*cos(theta),'; ...
'      Cycle           /  and  dtheta/dt = 1.                    '; ...
' (13) Damped--driven \ .........  du/dt = v,                    '; ...
'      pendulum       /      and   dv/dt = I - alpha*v - sin(u)  '; ...
'      To change defaults for alpha and I:  see help PHPLfunct.  '; ...
' _______________________________________________________________'];
%
fprintf('\n')
disp(notes_text)
fprintf('\n')
%
% EOF
