% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% README_PHPL (PHase PLane scripts in the 18385_Toolkit.)
% ____________________________________________________________________________
% 18.385 (Nonlinear Dynamical Systems).    MIT, Fall 1999-2004. R. R. Rosales.
%
% A) _________________________________________________________________________
% PHASE PLANE DEMOS. EQUATIONS SOLVED: du/dt = f(u, v)   and  dv/dt = g(u, v).
%
% These scripts are demos for various phase plane systems  (listed in the help
% for PHPLfunct).         New systems are easy to add, following the format in
% PHPLfunct.   It is also possible to enter the equations directly while using
% the demos (OPTION # 0), as explained by the demos themselves while running.
%
% The two demos run and plot the equations, but use different algorithms:
%
% PHPLdemoA .... is based on PHPL23plt and plots while it computes. Faster but
%                less accurate than PHPLdemoB. Also gives plots not as pretty,
%                but has more of a "dynamical feel" to it.
% PHPLdemoB .... is based on ode45 and plots the whole orbit AFTER it computes
%                it.   Has less of a "dynamical" feeling.    But it makes more
%                accurate and better plots to print, save, etc.
% PHPLfunct .... is the function script used to compute the functions f and g,
%                as needed by ode45.   Has all the various functions built in.
%                It communicates with the demos via several global variables.
% PHPLnotes .... is a file with text that appears while the demos run. Done to
%                avoid zillions of "fprintf" and/or "disp" in the code.
%
% B) _________________________________________________________________________
% GENERAL PHASE PLANE SCRIPTS:
%
% PHPL23plt .... Low order ODE solver with automatic time step selection  (2-3
%                order Runge-Kutta 2-3) for arbitrary size first order systems
%                with 2-D plotting of the first two components.
% PHPLplot ..... Script to do detailed plots of phase plane portraits.  Allows
%                simultaneous plotting of many orbits with control of detail.
% PHPLplotFUN .. Auxiliary script needed by PHPLplot.
% PHPLplot_v2 .. Version 2 of PHPLplot.     Extra flexibility and control over
%                figures. Needs no auxiliary file, but needs MatLab 5.x.
%
% C) _________________________________________________________________________
% VAN DER POL OSCILLATOR: x_{tt} + L*(x^2 - 1)* x_t + x = 0; L > 0 a constant.
% 
% PHPLvdpLiC ... Calculates the van der Pol oscillator limit cycle and period.
% PHPLvdPFUN ... Used to evaluate the vdP oscillator equation in the form that
%                ode15s requires. Needed by PHPLvdpLiC.
% PHPLvdpPOL ... Calculates polynomial interpolants for the limit cycle period
%                and initial value over a given range of L's.
% PHPLvdpPER ... Calculates the van der Pol oscillator period  (and a point on
%                the limit cycle) using interpolation formulas.
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
more on
help README_PHPL
more off
%
% EOF
