% PieceWiseParTEST
% _________________________________________________________________________
% 18.385 (Nonlinear Dynamical Systems). MIT, Fall 2000-2005. R. R. Rosales.
%
% Script to test: PieceWiseParAppr and PieceWiseParEval
% Copyright at the end of this script file.
%
X  = (0:10000)/10000;
Y  = sin(8*X)+0.3*cos(14*X);
%x0 = (0:25)/25;
x0 = X;
y0 = sin(8*x0)+0.3*cos(14*x0);
N  = 16;
[q, xc, h, y1] = PieceWiseParAppr(N, Y, X, x0);
figure
plot(x0, y0, '-b', 'LineWidth', 2)
hold on
plot(x0, y1, '-r', 'LineWidth', 2)
e = max(abs(y0 - y1));
title(['{\bf N = ', num2str(N), ...
       ' ---  Error = ', num2str(e), ' }'], 'FontSize', 20)
grid on
zoom on
y2 = PieceWiseParEval(q, xc, h, x0);
ERR = max(abs(y1-y2));
fprintf(['\n PieceWiseParAppr - PieceWiseParEval = ', ...
         num2str(ERR), '\n']);
%
x3 = [-1:0.01:2];
y3 = PieceWiseParEval(q, xc, h, x3);
%
figure
plot(x3, y3, '-b', 'LineWidth', 2)
title('{\bf Parabolic interpolant OUTSIDE original interval.}', ...
      'FontSize', 20)
grid on
zoom on
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright Massachusetts Institute of Technology
% Version 01 by Rodolfo R. Rosales  09-30-2000.
% Version 02 by Rodolfo R. Rosales  10-29-2005.
% 
% Permission is hereby granted, without payment, to copy this software
% and its documentation, if any,  for non-profit academic and research
% purposes,  provided that the above copyright notice, this paragraph,
% and the following three paragraphs appear in all copies of this
% software. Use of this software constitutes acceptance of these terms
% and conditions.
%
% IN NO EVENT SHALL MIT, OR THE AUTHOR, BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
% ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
% IF MIT, OR THE AUTHOR, HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
% DAMAGE.
%
% MIT, AND THE AUTHOR, SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED
% WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
% MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
% NON-INFRINGEMENT.
%
% THIS SOFTWARE IS PROVIDED "AS IS." MIT, OR THE AUTHOR, HAVE NO
% OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,
% OR MODIFICATIONS.
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% EOF
